Inbox
Mark conversations as read
Mark unread lead replies as read in one or more conversations.
Use either explicit conversationIds or selectAll: true with optional filters/excludeIds.
curl -X POST "https://api.sendkit.ai/v1/inbox/mark-read" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"conversationIds": [
"664a1b2c3d4e5f6a7b8c9d0e"
]
}'
import requests
import json
url = "https://api.sendkit.ai/v1/inbox/mark-read"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"conversationIds": [
"664a1b2c3d4e5f6a7b8c9d0e"
]
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/inbox/mark-read", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"conversationIds": [
"664a1b2c3d4e5f6a7b8c9d0e"
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"conversationIds": [
"664a1b2c3d4e5f6a7b8c9d0e"
]
}`)
req, err := http.NewRequest("POST", "https://api.sendkit.ai/v1/inbox/mark-read", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/inbox/mark-read')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"conversationIds": [
"664a1b2c3d4e5f6a7b8c9d0e"
]
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"modified": 3
}
}
POST
/v1/inbox/mark-read
POST
API Key (header: X-Api-Key)
X-Api-Keystring
RequiredPlatform API key (sk_user_...) or Workspace API key (sk_...)
Platform API key (sk_user_...) or Workspace API key (sk_...)
Content-Typestring
RequiredThe media type of the request body
Options: application/json
No request body parameters defined
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
header
Authorizationstring
RequiredBearer token. API key as Bearer token
Body
application/json
datastring
RequiredRaw application/json data
Responses
successboolean
dataobject
Was this page helpful?
Last updated today
Built with Documentation.AI